type token =
  | Var_Token
  | Init_Token
  | Loop_Token
  | Semicolon_Token
  | Comma_Token
  | Split_Token
  | Double_Token of (string)
  | Integer_Token of (string)
  | Identifier_Token of (string)
  | Apostrophe_Token
  | Equal_Token
  | GreatEq_Token
  | LessEq_Token
  | Less_Token
  | Great_Token
  | LeftPar_Token
  | RightPar_Token
  | LeftBra_Token
  | RightBra_Token
  | Plus_Token
  | Minus_Token
  | Times_Token
  | Div_Token
  | Eof_Token

val n_Entry :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Syntax.prog
